function partialLinkSetup() {
    $('a.partial-link').css({'outline': 'none'}).click(function(event) {
        var url = $(this).attr('href');
        var target = $(this).parents('div.partial-block:first');
        var partialKey = target.data('partial-key');
        var data = {};

        data[target.data('partial-key')] = true;

        target.addClass('loading');
        target.load(url, data, function() {
            target.removeClass('loading');
            partialLinkSetup();
        });
        return false;
    });
}

/*
 * Initialization
 */
$(document).ready(function() {

    /* Handle «partial» links */
    partialLinkSetup();

    $('.modal').modal();
});
